import request from '@/utils/request'

export function _queryPager(data) {
  return request({
    url: '/CustomerBillCard/GetPageResult',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _getDetailPageResult(data) {
  return request({
    url: '/CustomerBillCard/GetDetailPageResult',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _getAdjustmentQuotaLogs(data) {
  return request({
    url: '/CustomerBillCard/getAdjustmentQuotaLogs',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _setIsLimit(data) {
  return request({
    url: '/CustomerBillCard/SetIsLimit',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _adjustmentQuota(data) {
  return request({
    url: '/CustomerBillCard/AdjustmentQuota',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}

export function _recharge(data) {
  return request({
    url: '/CustomerBillCard/Recharge',
    method: 'post',
    timeout: 20 * 1000,
    data
  })
}
